Subject: Re: [PATCH] object-name: fix resolution of object names containing curly braces

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jan 2025 07:46:07 -0800

Patrick Steinhardt <[email-masked]> writes:

> I wonder though: does this have any impact on '<rev>^{<type>}' and other
> syntaxes where we use '^' instead of '@'?
> ...
> Do these really need the FUNNYNAMES prereq? The prereq seems to only be
> about embedded quotes, tabs and newlines and is disallowed on MinGW. But
> I think both '{' and '@' should work alright there, shouldn't they?

Thanks for a review.  I am too curious how this change interacts
with syntax with {braces} that do not use "@".